List all cases
curl --request GET \
--url https://api.kycaml.frankiefinancial.io/transaction/v2/entity/{entityId}/cases \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'apiKey: <api-key>'import requests
url = "https://api.kycaml.frankiefinancial.io/transaction/v2/entity/{entityId}/cases"
headers = {
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"apiKey": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Frankie-CustomerID': '<x-frankie-customerid>', apiKey: '<api-key>'}
};
fetch('https://api.kycaml.frankiefinancial.io/transaction/v2/entity/{entityId}/cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"checkId": "<string>",
"resultId": "<string>",
"riskToken": {
"sessionKey": "<string>",
"userId": "<string>"
},
"paymentId": "<string>",
"transactionTimestamp": "<string>",
"timestamp": "<string>",
"lastUpdated": "<string>",
"status": "PENDING",
"riskLevel": "MEDIUM",
"activityType": "REGISTRATION",
"paymentType": "CARD",
"source": "<string>",
"sourceLink": "<string>",
"deviceId": "<string>",
"assignedTo": "<string>",
"amount": {
"value": "<string>",
"currCode": "<string>"
},
"issueType": "DEVICE",
"subtype": "<string>"
}
],
"nextPageToken": "<string>"
}{
"commit": "<string>",
"requestId": "<string>",
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"issues": [
{
"issueLocation": "date_of_birth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}{
"commit": "<string>",
"requestId": "<string>",
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"issues": [
{
"issueLocation": "date_of_birth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}Cases
List all cases
deprecated
List all cases for an entity from previously checked activities.
GET
/
entity
/
{entityId}
/
cases
List all cases
Authorizations
API key issued by FrankieOne. This will rotate regularly.
Headers
Your Customer ID provided by FrankieOne
Example:
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
Example:
"87654321-4321-4321-4321-210987654321"
Path Parameters
Unique identifier of a FrankieOne entity The unique identifier for a FrankieOne entity construct
Example:
"98ded7ac-2457-4bde-b27c-fcee05301262"
Query Parameters
comma delimited list of EnumRiskResultType
A flag to fetch only the cases that require attention from users. These are cases that have met a MEDIUM risk level and have a PENDING status.
Number of results to be presented in the case results
Identifier Index for the next page of results
Was this page helpful?